<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://xmlns.jcp.org/xml/ns/javaee" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_3_1.xsd" id="WebApp_ID" version="3.1">
  <display-name>Scorpion king Information consulting company</display-name>
  <servlet>
    <servlet-name>CheckLoginServlet</servlet-name>
    <servlet-class>com.skic.servlet.CheckLoginServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>CheckLoginServlet</servlet-name>
    <url-pattern>/CheckLoginServlet</url-pattern>
  </servlet-mapping>
  <servlet>
    <servlet-name>CheckRegisterServlet</servlet-name>
    <servlet-class>com.skic.servlet.CheckRegisterServlet</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>LogoutServlet</servlet-name>
    <servlet-class>com.skic.servlet.LogoutServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>CheckRegisterServlet</servlet-name>
    <url-pattern>/CheckRegisterServlet</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>LogoutServlet</servlet-name>
    <url-pattern>/LogoutServlet</url-pattern>
  </servlet-mapping>  
 <filter>
    <filter-name>CheckLoginFilter</filter-name>
    <filter-class>com.skic.filter.CheckLoginFilter</filter-class>
  </filter>
  <filter-mapping>
    <filter-name>CheckLoginFilter</filter-name>
    <url-pattern>/page/*</url-pattern>
  </filter-mapping>
  <filter>
    <filter-name>vipPermissionFilter</filter-name>
    <filter-class>com.skic.filter.AdminPermissionFilter</filter-class>
  </filter>
  <filter-mapping>
    <filter-name>vipPermissionFilter</filter-name>
    <url-pattern>/page/adminPage/*</url-pattern>
  </filter-mapping>
 
 
  <welcome-file-list>
    <welcome-file>index.html</welcome-file>
    <welcome-file>index.htm</welcome-file>
    <welcome-file>index.jsp</welcome-file>
    <welcome-file>default.html</welcome-file>
    <welcome-file>default.htm</welcome-file>
    <welcome-file>default.jsp</welcome-file>
  </welcome-file-list>
</web-app>